<META http-equiv="Content-Type" content="text/html; charset=utf-8">
<?php 
 

//////////////////////////////////////////////////////////////////////////////////////////////////////////
//										FONCTION GestionPoste											//
//Poste :																								//
//																										//
//L56		1 : Premi&egrave;re fois que le contrat est enregistrer (nb_client, cafeteria et chalet)			//
//L206		2 : Modification &agrave; la client&egrave;le																//
//L275		3 : Modification de la caf&eacute;t&eacute;ria															//
//L331		4 : Modification d'un chalet: Actif O ou N   ou modification du montant						//
//L418		5 : Modification d'une activit&eacute;: Actif O ou N ou modification du montant					//
//L494		6 : Modification d'une location de mat&eacute;riel: Actif O ou N ou modification du montant		//
//L571		7 : Modification d'une vente de mat&eacute;riel: Actif O ou N ou modification du montant			//
//L650		8 : Ajout et Modification du d&eacute;pot															//
//			9 :	Validation si il y a changement d'&eacute;tat du contrat										//
//////////////////////////////////////////////////////////////////////////////////////////////////////////
//Argument:																								//
//	poste 			=	num&eacute;ro de la condition de modification											//
//	type  			=	type de client (scoutsmm, ext, etc)												//
//	code_contrat 	= 	code du contrat																	//
//	code_client 	= 	code du client																	//
//	ancien_prix		=	montant d&eacute;ja enregistrer dans la BD												//
//	nouveau_prix	=	montant de la modification, pour calculer l'&eacute;card &agrave; ajouter au poste			//
//	chalet			=	valide pour le poste 1 et 4, num&eacute;ro des chalets									//
//	prec_etat		=	&eacute;tat de l'enregistrement O ou N avant la modification							//
//////////////////////////////////////////////////////////////////////////////////////////////////////////



function GestionPoste($poste,$type,$code_contrat,$code_client,$ancien_prix,$nouveau_prix,$chalet,$prec_etat)
{

//prend les montants d&eacute;ja entr&eacute;e dans base_poste
		$sql = "SELECT compte_budget, montant
		         FROM base_poste
				WHERE actif = 'O';";
		$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die("Probl&egrave;me de recherche dans base_poste<br>".$sql);

		//met les r&eacute;sultat dans les tables
		$i = 0;
		while ($row = mysqli_fetch_row($result))
		{
			$table_compte[$i] = $row[0];
			$table_montant[$i++] = $row[1];
		}
		$num_poste = count($table_compte);


//prend des infos sur le client
		$sql = "SELECT base_clients.type
		         FROM base_clients
				WHERE base_clients.code_client = '$code_client';";
		$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die("Probl&egrave;me de recherche dans base_clients<br>".$sql);
		$row1 = mysqli_fetch_row($result);
		$etat = $row1[0];











/*111111111111111111111111111111111111111111111111111111*/
/*   SI LE C'EST LE PREMIER ENREGISTREMENT DU CONTRAT   */
/*														*/
/*    va chercher tout les enregistrements fait avec	*/
/*    les postes budg&eacute;taires qui leur sont attribu&eacute;s	*/
/*    pour les enregistrer ensuite						*/
/*														*/
/*111111111111111111111111111111111111111111111111111111*/

	if ($poste == 1)
	{
	
/////////POUR BASE_NB_CLIENT///////////////////////////////////////////////////////////////////////
		$sql = "SELECT prix_rabais
		         FROM base_nb_clients
				WHERE code_contrat = '$code_contrat';";
		$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die("Probl&egrave;me de recherche dans base_nb_clients<br>".$sql);
		$row = mysqli_fetch_row($result);
		$num_client = mysqli_num_rows($result);
		
		if (!empty ($num_client))
		{
			$prix_client = $row[0];
		
			//choix du poste budg&eacute;taire en fonction du type de client
			if ($type == 'SMM')
				$poste_budget = "4010";
			if ($type == 'Ext') 
				$poste_budget = "4020";
			if ($type == 'Scouts') 
				$poste_budget = "4020";			
			if ($type == 'Famille')
				$poste_budget = "4030";		
			if ($type == 'District')
				$poste_budget = "4025";		
			if ($type == 'Trio')
				$poste_budget = "4015";		
			if ($type == 'Autres')
				$poste_budget = "4035";		

			//boucle pour associ&eacute; les postes bugd&eacute;taires	
			for ($j = 0; $j < $num_poste; $j++)
			{
				if ($poste_budget == $table_compte[$j])
				{
					//quand associ&eacute;, incr&eacute;menter les montants
					$table_montant[$j] = $table_montant[$j] + $prix_client; 
				}
			} 	
		}
		
		
/////////POUR BASE_CHALET///////////////////////////////////////////////////////////////////////		
		
		$sql = "SELECT base_chalets.prix_rabais, base_ref1chalets.compte_district, base_ref1chalets.compte_smm,
					   base_ref1chalets.compte_ext, base_ref1chalets.compte_autre, base_ref1chalets.compte_trio,
					   base_ref1chalets.compte_famille
				  FROM base_chalets, base_ref1chalets
				 WHERE base_chalets.code_contrat = '$code_contrat'
				   AND base_chalets.num_chalet = base_ref1chalets.num_chalet
				   AND base_chalets.actif = 'O'
				   AND base_chalets.reservation = 'N'
				   AND base_chalets.reservation = 'N';";
		$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die("Probl&egrave;me de recherche dans base_chalets<br>".$sql);
		$row = mysqli_fetch_row($result);
		$num_chalet = mysqli_num_rows($result);
	
		if (!empty ($num_chalet))
		{
			//met les chalets dans un tableau
			for ($j = 0; $j < $num_chalet; $j++)
			{
				$prix_chalet = $row[0];
			
				//choix du poste budg&eacute;taire en fonction du type de client
				if ($type == 'SMM')
					$poste_budget = $row[2];
				if ($type == 'Ext')
					$poste_budget = $row[3];
				if ($type == 'Scouts') 
					$poste_budget = $row[3];									
				if ($type == 'Famille')
					$poste_budget = $row[6];		
				if ($type == 'District')
					$poste_budget = $row[1];		
				if ($type == 'Trio')
					$poste_budget = $row[5];		
				if ($type == 'Autres')
					$poste_budget = $row[4];		

				//boucle pour associ&eacute; les postes bugd&eacute;taires	
				for ($i = 0; $i < $num_poste; $i++)
				{
					if ($poste_budget == $table_compte[$i])
					{
						//quand associ&eacute;, incr&eacute;menter les montants
						$table_montant[$i] = $table_montant[$i] + $prix_chalet; 
					}//if
				}//for
			}//for	 	
		}//if

		
		
		
		
/////////POUR BASE_CAFETERIA///////////////////////////////////////////////////////////////////////
		$sql = "SELECT prix_rabais
		         FROM base_cafeteria
				WHERE code_contrat = '$code_contrat';";
		$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die("Probl&egrave;me de recherche dans base_cafeteria<br>".$sql);
		$row = mysqli_fetch_row($result);
		$num_cafeteria = mysqli_num_rows($result);
	
		if (!empty ($num_cafeteria))
		{
			$prix_cafeteria = $row[0];
		
			//poste budg&eacute;taire par d&eacute;faut pour la caf&eacute;t&eacute;ria
			$poste_budget = "4060";

			//boucle pour associ&eacute; les postes bugd&eacute;taires	
			for ($j = 0; $j < $num_poste; $j++)
			{
	
				if ($poste_budget == $table_compte[$j])
				{
					//quand associ&eacute;, incr&eacute;menter les montants
					$table_montant[$j] = $table_montant[$j] + $prix_cafeteria; 
				}
			} 	
		}
		

//UPDATE DES COMPTES BUDG&Eacute;TAIRES
		for ($j = 0; $j < $num_poste; $j++)
		{
	
	  	$sql = "UPDATE base_poste
		  	       SET base_poste.montant = '$table_montant[$j]',
				       base_poste.mis_a_jour = now()
	       	     WHERE base_poste.compte_budget = '$table_compte[$j]';";
		$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql)
		or die("ne peut faire la modification".$sql);

		}
	$poste = 0;	
	return($poste);	
	}//FIN POSTE 1
	
	
	
	
	
	
	
/*222222222222222222222222222222222222222222222222222222*/
/*   SI C'EST LA MODIFICATION DU NB DE CLIENT		    */
/*														*/
/*  Trouve la diff&eacute;rence de prix et laplique au poste   */
/*														*/
/*222222222222222222222222222222222222222222222222222222*/

	if ($poste == 2)
	{
		$prix_client = $nouveau_prix - $ancien_prix;

		$sql = "SELECT prix_rabais
		         FROM base_nb_clients
				WHERE code_contrat = '$code_contrat';";
		$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die("Probl&egrave;me de recherche dans base_nb_clients<br>".$sql);
		$row = mysqli_fetch_row($result);
		$num_client = mysqli_num_rows($result);
		
		if (!empty ($num_client))
		{
			//choix du poste budg&eacute;taire en fonction du type de client
			if ($type == 'SMM')
				$poste_budget = "4010";
			if ($type == 'Ext') 
				$poste_budget = "4020";
			if ($type == 'Scouts') 
				$poste_budget = "4020";								
			if ($type == 'Famille')
				$poste_budget = "4030";		
			if ($type == 'District')
				$poste_budget = "4025";		
			if ($type == 'Trio')
				$poste_budget = "4015";		
			if ($type == 'Autres')
				$poste_budget = "4035";		

			//boucle pour associ&eacute; les postes bugd&eacute;taires	
			for ($j = 0; $j < $num_poste; $j++)
			{
				if ($poste_budget == $table_compte[$j])
				{
					//quand associ&eacute;, incr&eacute;menter les montants
					$table_montant[$j] = $table_montant[$j] + $prix_client; 
				}
			} 	
		}

		//UPDATE DES COMPTES BUDG&Eacute;TAIRES
		for ($j = 0; $j < $num_poste; $j++)
		{
	
	  		$sql = "UPDATE base_poste
			  	       SET base_poste.montant = '$table_montant[$j]',
					       base_poste.mis_a_jour = now()
	    	   	     WHERE base_poste.compte_budget = '$table_compte[$j]';";
			$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql)
			or die("ne peut faire la modification".$sql);
		}
	
	}//FIN POSTE 2
	
	
	
	
	
	
	
	
	


/*333333333333333333333333333333333333333333333333333333*/
/*   SI C'EST LA MODIFICATION DE LA CAF&Eacute;T&Eacute;RIA		    */
/*														*/
/*  Trouve la diff&eacute;rence de prix et laplique au poste   */
/*														*/
/*333333333333333333333333333333333333333333333333333333*/

	if ($poste == 3)
	{
		$prix_cafeteria = $nouveau_prix - $ancien_prix;
		
		$sql = "SELECT prix_rabais
		         FROM base_cafeteria
				WHERE code_contrat = '$code_contrat';";
		$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die("Probl&egrave;me de recherche dans base_cafeteria<br>".$sql);
		$row = mysqli_fetch_row($result);
		$num_cafeteria = mysqli_num_rows($result);
	
		if (!empty ($num_cafeteria))
		{
		
			//poste budg&eacute;taire par d&eacute;faut pour la caf&eacute;t&eacute;ria
			$poste_budget = "4060";

			//boucle pour associ&eacute; les postes bugd&eacute;taires	
			for ($j = 0; $j < $num_poste; $j++)
			{
	
				if ($poste_budget == $table_compte[$j])
				{
					//quand associ&eacute;, incr&eacute;menter les montants
					$table_montant[$j] = $table_montant[$j] + $prix_cafeteria; 
				}
			} 	
		}
//UPDATE DES COMPTES BUDG&Eacute;TAIRES
		for ($j = 0; $j < $num_poste; $j++)
		{
	
	  	$sql = "UPDATE base_poste
		  	       SET base_poste.montant = '$table_montant[$j]',
				       base_poste.mis_a_jour = now()
	       	     WHERE base_poste.compte_budget = '$table_compte[$j]';";
		$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql)
		or die("ne peut faire la modification".$sql);

		}

	}//FIN POSTE 3







/*444444444444444444444444444444444444444444444444444444*/
/*   MODIFICATION DU STATUT ACTIF D'UN CHALET			*/
/*														*/
/*  Trouve la diff&eacute;rence de prix et laplique au poste   */
/*														*/
/*444444444444444444444444444444444444444444444444444444*/

	if ($poste == 4)
	{	
		$sql = "SELECT base_chalets.prix_rabais, base_ref1chalets.compte_district, base_ref1chalets.compte_smm,
					   base_ref1chalets.compte_ext, base_ref1chalets.compte_autre, base_ref1chalets.compte_trio,
					   base_ref1chalets.compte_famille, base_chalets.actif
				  FROM base_chalets, base_ref1chalets
				 WHERE base_chalets.code_contrat = '$code_contrat'
				   AND base_chalets.num_chalet = '$chalet'
				   AND base_chalets.reservation = 'N'
				   AND base_chalets.num_chalet = base_ref1chalets.num_chalet;";
		$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die("Probl&egrave;me de recherche dans base_chalets<br>".$sql);
		$row = mysqli_fetch_row($result);
		$num_chalet = mysqli_num_rows($result);
		$etat = $row[7];
		
		if (!empty ($num_chalet))
		{
			if (($etat == 'N') and ($prec_etat == 'O'))
			{
				$prix_chalet = (0 - $nouveau_prix);
			}
			elseif (($etat == 'O') and ($prec_etat == 'N'))
			{
				$prix_chalet = $nouveau_prix;
			}				
			elseif (($etat == 'N') and ($prec_etat == 'N'))
			{
				$prix_chalet = 0;
			}		
			elseif (($etat == 'O') and ($prec_etat == 'O'))
			{
				$prix_chalet = $nouveau_prix - $ancien_prix;
			}	

			//choix du poste budg&eacute;taire en fonction du type de client
			if ($type == 'SMM')
				$poste_budget = $row[2];
			if ($type == 'Ext')			
				$poste_budget = $row[3];
			if ($type == 'Scouts') 
				$poste_budget = $row[3];								
			if ($type == 'Famille')
				$poste_budget = $row[6];		
			if ($type == 'District')
				$poste_budget = $row[1];		
			if ($type == 'Trio')
				$poste_budget = $row[5];		
			if ($type == 'Autres')
				$poste_budget = $row[4];		
//print("type : ".$type."<BR>");
//print("poste budget : ".$poste_budget."<BR>");	
			//boucle pour associ&eacute; les postes bugd&eacute;taires
			for ($i = 0; $i < $num_poste; $i++)
			{			
				if ($poste_budget == $table_compte[$i])
				{
					//quand associ&eacute;, incr&eacute;menter les montants
					$table_montant[$i] = $table_montant[$i] + $prix_chalet;
				}//if
			}//for
		} //if
	
	
//UPDATE DES COMPTES BUDG&Eacute;TAIRES
		for ($j = 0; $j < $num_poste; $j++)
		{
	
	  	$sql = "UPDATE base_poste
		  	       SET base_poste.montant = '$table_montant[$j]',
				       base_poste.mis_a_jour = now()
	       	     WHERE base_poste.compte_budget = '$table_compte[$j]';";
		$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql)
		or die("ne peut faire la modification".$sql);

		}	
	
	} //FIN POSTE 4
	
	
	
	
	
	
	
/*555555555555555555555555555555555555555555555555555555*/
/*   MODIFICATION DU STATUT ACTIF D'UNE ACTIVIT&Eacute;		*/
/*														*/
/*  Trouve la diff&eacute;rence de prix et laplique au poste   */
/*														*/
/*555555555555555555555555555555555555555555555555555555*/

	if ($poste == 5)
	{	
	
		$sql = "SELECT base_activites.prix_rabais, base_activites.actif, base_ref1activites.compte_budget
				  FROM base_activites, base_ref1activites
				 WHERE base_activites.code_contrat = '$code_contrat'
				   AND base_activites.num_activite = base_ref1activites.num_activite;";
		$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die("Probl&egrave;me de recherche dans base_activites<br>".$sql);
		$row = mysqli_fetch_row($result);
		$num_activite = mysqli_num_rows($result);
		$etat = $row[1];
		$poste_budget = $row[2];

		if (!empty ($num_activite))
		{
			if (($etat == 'N') and ($prec_etat == 'O'))
			{
				$prix_activite = (0 - $nouveau_prix);
			}
			elseif (($etat == 'O') and ($prec_etat == 'N'))
			{
				$prix_activite = $nouveau_prix;
			}				
			elseif (($etat == 'N') and ($prec_etat == 'N'))
			{
				$prix_activite = 0;
			}
			elseif (($etat == 'O') and ($prec_etat == 'O'))
			{
				$prix_activite = $nouveau_prix - $ancien_prix;
			}

			//boucle pour associ&eacute; les postes bugd&eacute;taires
			for ($i = 0; $i < $num_poste; $i++)
			{
				if ($poste_budget == $table_compte[$i])
				{
					//quand associ&eacute;, incr&eacute;menter les montants
					$table_montant[$i] = $table_montant[$i] + $prix_activite;
				}//if
			}//for
		} //if


//UPDATE DES COMPTES BUDG&Eacute;TAIRES
		for ($j = 0; $j < $num_poste; $j++)
		{
	
	  	$sql = "UPDATE base_poste
		  	       SET base_poste.montant = '$table_montant[$j]',
				       base_poste.mis_a_jour = now()
	       	     WHERE base_poste.compte_budget = '$table_compte[$j]';";
		$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql)
		or die("ne peut faire la modification".$sql);

		}	
	
	} //FIN POSTE 5	
	
	
	
	
	
	
	
	
/*666666666666666666666666666666666666666666666666666666*/
/*   MODIFICATION DU STATUT ACTIF D'UNE LOCATION		*/
/*														*/
/*  Trouve la diff&eacute;rence de prix et laplique au poste   */
/*														*/
/*666666666666666666666666666666666666666666666666666666*/

	if ($poste == 6)
	{
		
		$sql = "SELECT base_loc_materiels.prix_rabais, base_loc_materiels.actif, base_ref1materiels.compte_budget
				  FROM base_loc_materiels, base_ref1materiels
				 WHERE base_loc_materiels.code_contrat = '$code_contrat'
				   AND base_loc_materiels.num_materiel = base_ref1materiels.num_materiel;";
		$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die("Probl&egrave;me de recherche dans base_loc_materiels<br>".$sql);
		$row = mysqli_fetch_row($result);
		$num_materiel = mysqli_num_rows($result);
		$etat = $row[1];
		if (!empty ($num_materiel))
		{
			if (($etat == 'N') and ($prec_etat == 'O'))
			{
				$prix_materiel = (0 - $nouveau_prix);
			}
			elseif (($etat == 'O') and ($prec_etat == 'N'))
			{
				$prix_materiel = $nouveau_prix;
			}				
			elseif (($etat == 'N') and ($prec_etat == 'N'))
			{
				$prix_materiel = 0;
			}		
			elseif (($etat == 'O') and ($prec_etat == 'O'))
			{
				$prix_materiel = $nouveau_prix - $ancien_prix;
			}	
			//choix du poste budg&eacute;taire en fonction du mat&eacute;riel
				$poste_budget = $row[2];

			//boucle pour associ&eacute; les postes bugd&eacute;taires
			for ($i = 0; $i < $num_poste; $i++)
			{			
				if ($poste_budget == $table_compte[$i])
				{
					//quand associ&eacute;, incr&eacute;menter les montants
					$table_montant[$i] = $table_montant[$i] + $prix_materiel;
				}//if
			}//for
		} //if
	
	
//UPDATE DES COMPTES BUDG&Eacute;TAIRES
		for ($j = 0; $j < $num_poste; $j++)
		{
	
	  	$sql = "UPDATE base_poste
		  	       SET base_poste.montant = '$table_montant[$j]',
				       base_poste.mis_a_jour = now()
	       	     WHERE base_poste.compte_budget = '$table_compte[$j]';";
		$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql)
		or die("ne peut faire la modification".$sql);

		}	
	
	} //FIN POSTE 6	
		







	

/*777777777777777777777777777777777777777777777777777777*/
/*   MODIFICATION DU STATUT ACTIF D'UNE VENTE		*/
/*														*/
/*  Trouve la diff&eacute;rence de prix et laplique au poste   */
/*														*/
/*777777777777777777777777777777777777777777777777777777*/

	if ($poste == 7)
	{
		$sql = "SELECT base_vente_materiels.prix_rabais, base_vente_materiels.actif, base_ref1materiels.compte_budget
				  FROM base_vente_materiels, base_ref1materiels
				 WHERE base_vente_materiels.code_contrat = '$code_contrat'
				   AND base_vente_materiels.num_materiel = base_ref1materiels.num_materiel;";
		$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die("Probl&egrave;me de recherche dans base_vente_materiels<br>".$sql);
		$row = mysqli_fetch_row($result);
		$num_materiel = mysqli_num_rows($result);
		$etat = $row[1];

		if (!empty ($num_materiel))
		{
			if (($etat == 'N') and ($prec_etat == 'O'))
			{
				$prix_materiel = (0 - $nouveau_prix);
			}
			elseif (($etat == 'O') and ($prec_etat == 'N'))
			{
				$prix_materiel = $nouveau_prix;
			}				
			elseif (($etat == 'N') and ($prec_etat == 'N'))
			{
				$prix_materiel = 0;
			}
			elseif (($etat == 'O') and ($prec_etat == 'O'))
			{
				$prix_materiel = $nouveau_prix - $ancien_prix;
			}

			//choix du poste budg&eacute;taire en fonction du mat&eacute;riel
				$poste_budget = $row[2];

			//boucle pour associ&eacute; les postes bugd&eacute;taires
			for ($i = 0; $i < $num_poste; $i++)
			{
				if ($poste_budget == $table_compte[$i])
				{
					//quand associ&eacute;, incr&eacute;menter les montants
					$table_montant[$i] = $table_montant[$i] + $prix_materiel;
				}//if
			}//for
		} //if
	
	
//UPDATE DES COMPTES BUDG&Eacute;TAIRES
		for ($j = 0; $j < $num_poste; $j++)
		{
	
	  	$sql = "UPDATE base_poste
		  	       SET base_poste.montant = '$table_montant[$j]',
				       base_poste.mis_a_jour = now()
	       	     WHERE base_poste.compte_budget = '$table_compte[$j]';";
		$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql)
		or die("ne peut faire la modification".$sql);

		}	
	
	} //FIN POSTE 7
	
	
	
	



/*999999999999999999999999999999999999999999999999999999*/
/*					   CONTRAT ACTIF					*/
/*														*/
/*  valide tout les montants du contrat qui vient 		*/
/*	d'&ecirc;tre activ&eacute;										*/
/*999999999999999999999999999999999999999999999999999999*/

	if ($poste == 9)
	{
	$sql_client = "SELECT base_clients.type
			FROM base_clients
			WHERE base_clients.code_client = '$code_client';";
	$result_client = mysqli_query($GLOBALS["___mysqli_ston"], $sql_client) or die("Probl&egrave;me de recherche dans base_nb_clients<br>".$sql_client);
	$row_client = mysqli_fetch_row($result_client);
	$type = $row_client[0];	
	
	
	
		//POUR NB CLIENT////////////////////////////////////////////////////////////////////////////////////
		$sql = "SELECT prix_rabais
		          FROM base_nb_clients
				 WHERE code_contrat = '$code_contrat'
				   AND actif = 'O';";
		$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die("Probl&egrave;me de recherche dans base_nb_clients<br>".$sql);
		$row = mysqli_fetch_row($result);

		if($prec_etat == 'A')
			$prix_client = $row[0];
		if($prec_etat == 'S')
			$prix_client = 0 - $row[0];
	
		
		//choix du poste budg&eacute;taire en fonction du type de client
		if ($etat == 'SMM')
			$poste_budget = "4010";
		if ($type == 'Ext') 
			$poste_budget = "4020";
		if ($type == 'Scouts') 
			$poste_budget = "4020";				
		if ($etat == 'Famille')
			$poste_budget = "4030";
		if ($etat == 'District')
			$poste_budget = "4025";
		if ($etat == 'Trio')
			$poste_budget = "4015";
		if ($etat == 'Autres')
			$poste_budget = "4035";
	
		//boucle pour associ&eacute; les postes bugd&eacute;taires
		for ($i = 0; $i < $num_poste; $i++)
		{

			if ($poste_budget == $table_compte[$i])
			{			
				//quand associ&eacute;, incr&eacute;menter les montants
				$table_montant[$i] = $table_montant[$i] + $prix_client;
			}//if
		}//for
	

		
		
		//POUR BASE_CAFETERIA//////////////////////////////////////////////////////////////////////////
		$sql = "SELECT prix_rabais
		         FROM base_cafeteria
				WHERE code_contrat = '$code_contrat'
				  AND actif = 'O';";
		$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die("Probl&egrave;me de recherche dans base_cafeteria<br>".$sql);
		$row = mysqli_fetch_row($result);
		$num_cafeteria = mysqli_num_rows($result);
	
		if (!empty ($num_cafeteria))
		{
			if($prec_etat == 'A')
				$prix_cafeteria = $row[0];
			if($prec_etat == 'S')
				$prix_cafeteria = 0 - $row[0];
				
			//poste budg&eacute;taire par d&eacute;faut pour la caf&eacute;t&eacute;ria
			$poste_budget = "4060";

			//boucle pour associ&eacute; les postes bugd&eacute;taires	
			for ($j = 0; $j < $num_poste; $j++)
			{
	
				if ($poste_budget == $table_compte[$j])
				{
					//quand associ&eacute;, incr&eacute;menter les montants
					$table_montant[$j] = $table_montant[$j] + $prix_cafeteria; 
				}
			} 	
		}
		
		
		

		//POUR BASE_CHALET///////////////////////////////////////////////////////////////////////		
		
		$sql = "SELECT base_chalets.prix_rabais, base_ref1chalets.compte_district, base_ref1chalets.compte_smm,
					   base_ref1chalets.compte_ext, base_ref1chalets.compte_autre, base_ref1chalets.compte_trio,
					   base_ref1chalets.compte_famille
				  FROM base_chalets, base_ref1chalets
				 WHERE base_chalets.code_contrat = '$code_contrat'
				   AND base_chalets.num_chalet = base_ref1chalets.num_chalet
				   AND base_chalets.actif = 'O'
				   AND base_chalets.reservation = 'N';";
		$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die("Probl&egrave;me de recherche dans base_chalets<br>".$sql);
		$row = mysqli_fetch_row($result);
		$num_chalet = mysqli_num_rows($result);
	
		if (!empty ($num_chalet))
		{
			//met les chalets dans un tableau
			for ($j = 0; $j < $num_chalet; $j++)
			{
				if($prec_etat == 'A')
					$prix_chalet = $row[0];
				if($prec_etat == 'S')
					$prix_chalet = 0 - $row[0];
	
				
				//choix du poste budg&eacute;taire en fonction du type de client
				if ($etat == 'SMM')
					$poste_budget = $row[2];
				if ($type == 'Ext')
					$poste_budget = $row[3];
				if ($type == 'Scouts') 
					$poste_budget = $row[3];								
				if ($etat == 'Famille')
					$poste_budget = $row[6];		
				if ($etat == 'District')
					$poste_budget = $row[1];		
				if ($etat == 'Trio')
					$poste_budget = $row[5];		
				if ($etat == 'Autres')
					$poste_budget = $row[4];		
				//boucle pour associ&eacute; les postes bugd&eacute;taires	
				for ($i = 0; $i < $num_poste; $i++)
				{
					if ($poste_budget == $table_compte[$i])
					{
						//quand associ&eacute;, incr&eacute;menter les montants
						$table_montant[$i] = $table_montant[$i] + $prix_chalet; 
					}//if
				}//for
			}//for	 	
		}//if

		
		//POUR ACTIVITE///////////////////////////////////////////////////////////////////////
		$sql = "SELECT base_activites.prix_rabais, base_activites.actif, base_ref1activites.compte_budget
				  FROM base_activites, base_ref1activites
				 WHERE base_activites.code_contrat = '$code_contrat'
				   AND base_activites.num_activite = base_ref1activites.num_activite
				   AND base_activites.actif = 'O';";
		$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die("Probl&egrave;me de recherche dans base_activites<br>".$sql);
		$row = mysqli_fetch_row($result);
		$num_activite = mysqli_num_rows($result);
		$etat = $row[1];
		$poste_budget = $row[2];

		if (!empty ($num_activite))
		{
			for ($j = 0; $j < $num_activite; $j++)
			{
				if($prec_etat == 'A')
					$prix_activite = $row[0];
				if($prec_etat == 'S')
					$prix_activite = 0 - $row[0];


	
				//boucle pour associ&eacute; les postes bugd&eacute;taires
				for ($i = 0; $i < $num_poste; $i++)
				{			
					if ($poste_budget == $table_compte[$i])
					{
						//quand associ&eacute;, incr&eacute;menter les montants
						$table_montant[$i] = $table_montant[$i] + $prix_activite;
					}//if
				}//for
			}//for	
		} //if
		
		
	
		//POUR LOCATION///////////////////////////////////////////////////////////////////////
		$sql = "SELECT base_loc_materiels.prix_rabais, base_loc_materiels.actif, base_ref1materiels.compte_budget
				  FROM base_loc_materiels, base_ref1materiels
				 WHERE base_loc_materiels.code_contrat = '$code_contrat'
				   AND base_loc_materiels.num_materiel = base_ref1materiels.num_materiel
				   AND base_loc_materiels.actif = 'O';";
		$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die("Probl&egrave;me de recherche dans base_loc_materiels<br>".$sql);
		
		$num_materiel = mysqli_num_rows($result);


		if (!empty ($num_materiel))
		{
			while ($row = mysqli_fetch_row($result))
			{
				if($prec_etat == 'A')
					$prix_materiel = $row[0];
				if($prec_etat == 'S')
					$prix_materiel = 0 - $row[0];

				
				//choix du poste budg&eacute;taire en fonction du mat&eacute;riel
				$poste_budget = $row[2];
	
				//boucle pour associ&eacute; les postes bugd&eacute;taires
				for ($i = 0; $i < $num_poste; $i++)
				{			
					if ($poste_budget == $table_compte[$i])
					{
						//quand associ&eacute;, incr&eacute;menter les montants
						$table_montant[$i] = $table_montant[$i] + $prix_materiel;
					} //if
				} //for
			} //for	
		} //if		
		
		

		//POUR ACHAT///////////////////////////////////////////////////////////////////////
		$sql = "SELECT base_vente_materiels.prix_rabais, base_vente_materiels.actif, base_ref1materiels.compte_budget
				  FROM base_vente_materiels, base_ref1materiels
				 WHERE base_vente_materiels.code_contrat = '$code_contrat'
				   AND base_vente_materiels.num_materiel = base_ref1materiels.num_materiel
				   AND base_vente_materiels.actif = 'O';";
		$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die("Probl&egrave;me de recherche dans base_vente_materiels<br>".$sql);
		$num_materiel = mysqli_num_rows($result);
		$etat = $row[1];

		if (!empty ($num_materiel))
		{
			while ($row = mysqli_fetch_row($result))
			{		
				if($prec_etat == 'A')
					$prix_materiel = $row[0];				
				if($prec_etat == 'S')
					$prix_materiel = 0 - $row[0];				


				//choix du poste budg&eacute;taire en fonction du mat&eacute;riel
				$poste_budget = $row[2];
	
				//boucle pour associ&eacute; les postes bugd&eacute;taires
				for ($i = 0; $i < $num_poste; $i++)
				{
					if ($poste_budget == $table_compte[$i])
					{
						//quand associ&eacute;, incr&eacute;menter les montants
						$table_montant[$i] = $table_montant[$i] + $prix_materiel;
					}//if
				}//for
			}//while	
		} //if


		
		//POUR RABAIS///////////////////////////////////////////////////////////////////////
		$sql = "SELECT prix_rabais, actif, poste_budget 
		         FROM base_rabais
				WHERE code_contrat = '$code_contrat'
				  AND base_rabais.actif = 'O';";
		$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die("Probl&egrave;me de recherche dans base_rabais<br>".$sql);
		$num_rabais = mysqli_num_rows($result);
		$etat = $row[2];


		if (!empty ($num_rabais))
		{
			while ($row = mysqli_fetch_row($result))
			{		
				if($prec_etat == 'A')
					$prix_rabais = 0 - $row[0];				
				if($prec_etat == 'S')
					$prix_rabais = $row[0];
			
			
				//choix du poste budg&eacute;taire en fonction du mat&eacute;riel
				$poste_budget = $row[2];
						
				//boucle pour associ&eacute; les postes bugd&eacute;taires
				for ($i = 0; $i < $num_poste; $i++)
				{
					if ($poste_budget == $table_compte[$i])
					{
						//quand associ&eacute;, incr&eacute;menter les montants
						$table_montant[$i] = $table_montant[$i] + $prix_rabais;
					}//if
				}//for
			}//while	
		} //if
		
		
		
		

//UPDATE DES COMPTES BUDG&Eacute;TAIRES
		for ($j = 0; $j < $num_poste; $j++)
		{
	
	  	$sql = "UPDATE base_poste
		  	       SET base_poste.montant = '$table_montant[$j]',
				       base_poste.mis_a_jour = now()
	       	     WHERE base_poste.compte_budget = '$table_compte[$j]';";
		$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql)
		or die("ne peut faire la modification".$sql);

		}	


	
	} //FIN POSTE 9
	

	
/*10101010101010101010101010101010101010101010101010101010*/
/*   SI C'EST LA MODIFICATION DES RABAIS 			      */
/*														  */
/*  Trouve la diff&eacute;rence de prix et laplique au poste     */
/*														  */
/*10101010101010101010101010101010101010101010101010101010*/

	if ($poste == 10)
	{
		
		$sql = "SELECT prix_rabais, poste_budget, actif
		         FROM base_rabais
				WHERE code_rabais = '$type';";
		$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die("Probl&egrave;me de recherche dans base_rabais<br>".$sql);
		$row = mysqli_fetch_row($result);
		$num_rabais = mysqli_num_rows($result);
		$etat = $row[2];



		if (!empty ($num_rabais))
		{
			if (($etat == 'N') and ($prec_etat == 'O'))
			{
				$prix_rabais = 0 - $nouveau_prix;
			}
			elseif (($etat == 'O') and ($prec_etat == 'N'))
			{
				$prix_rabais = (0 + $nouveau_prix);
			}				
			elseif (($etat == 'N') and ($prec_etat == 'N'))
			{
				$prix_rabais = 0;
			}		
			elseif (($etat == 'O') and ($prec_etat == 'O'))
			{
				$prix_rabais = $row[0] - $ancien_prix;
			}	
		}
		
		
		
		if (!empty ($num_rabais))
		{
		
			//poste budg&eacute;taire par d&eacute;faut pour la caf&eacute;t&eacute;ria
			$poste_budget = $row[1];

			//boucle pour associ&eacute; les postes bugd&eacute;taires	
			for ($j = 0; $j < $num_poste; $j++)
			{
	
				if ($poste_budget == $table_compte[$j])
				{
					//quand associ&eacute;, incr&eacute;menter les montants
					$table_montant[$j] = $table_montant[$j] - $prix_rabais; 
				}
			} 	
		}
//UPDATE DES COMPTES BUDG&Eacute;TAIRES
		for ($j = 0; $j < $num_poste; $j++)
		{
	
	  	$sql = "UPDATE base_poste
		  	       SET base_poste.montant = '$table_montant[$j]',
				       base_poste.mis_a_jour = now()
	       	     WHERE base_poste.compte_budget = '$table_compte[$j]';";
		$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql)
		or die("ne peut faire la modification".$sql);

		}

	}//FIN POSTE 10	
	
	
	
	
	
	

}
?>
